Package com.documentum.fc.client

# Interface IDfDocbaseMap

All Superinterfaces:
  `IDfTypedObject`

public interface IDfDocbaseMap extends IDfTypedObject
This interface provides information about the repositories known to a connection broker.

The method <`getDocbaseCount()` returns the number of repositories in the map. Think of the information returned by these index-based methods as being laid out in rows. Therefore, the information returned by calling these methods with a particular index number will refer to the same repository.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GLOBAL_REGISTRY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAuthProtocol(int index)`
  Returns the authentication protocol of the repository at the specified index.
  `int`
  `getDocbaseCount()`
  Returns the number of repositories known.
  `String`
  `getDocbaseDescription(int index)`
  Returns the administrator-defined description of the repository at the specified index.
  `String`
  `getDocbaseId(int index)`
  Returns the ID of the repository at the specified index.
  `String`
  `getDocbaseName(int index)`
  Returns the name of the repository at the specified index.
  `IDfList`
  `getDocbaseRoles(int index)`
  `String`
  `getDormancyStatus(int index)`
  Returns the status of the docbase at the specified index
  `String`
  `getFederationName(int index)`
  Returns the name of the federation for the repository at the specified index.
  `String`
  `getGoverningDocbase(int index)`
  Returns the name of the governing repository for the repository at the specified index.
  `String`
  `getHostName()`
  Deprecated.
  This internal attribute is not meaningful here
  `IDfTypedObject`
  `getServerMap(int index)`
  Returns information about Documentum servers for the repository at the specified index.
  `IDfTypedObject`
  `getServerMapByName(String docbaseName)`
  Returns information about Documentum servers for the repository with the specified name.
  `String`
  `getServerVersion(int index)`
  Returns the version string of the Documentum server at the specified index.

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### GLOBAL_REGISTRY

    static final String GLOBAL_REGISTRY
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getDocbaseCount

    int getDocbaseCount() throws DfException
    Returns the number of repositories known.

    Refer to the Server Administrator's Guide for more information about connection brokers.
    Throws:
      `DfException` - if a server error occurs

  - ### getAuthProtocol

    String getAuthProtocol(int index) throws DfException
    Returns the authentication protocol of the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getDocbaseId

    String getDocbaseId(int index) throws DfException
    Returns the ID of the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getDocbaseName

    String getDocbaseName(int index) throws DfException
    Returns the name of the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getDocbaseDescription

    String getDocbaseDescription(int index) throws DfException
    Returns the administrator-defined description of the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getFederationName

    String getFederationName(int index) throws DfException
    Returns the name of the federation for the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getGoverningDocbase

    String getGoverningDocbase(int index) throws DfException
    Returns the name of the governing repository for the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getServerVersion

    String getServerVersion(int index) throws DfException
    Returns the version string of the Documentum server at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMap

    IDfTypedObject getServerMap(int index) throws DfException
    Returns information about Documentum servers for the repository at the specified index.
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMapByName

    IDfTypedObject getServerMapByName(String docbaseName) throws DfException
    Returns information about Documentum servers for the repository with the specified name.
    Throws:
      `DfException` - if a server error occurs

  - ### getHostName

    String getHostName() throws DfException
    Deprecated.
    This internal attribute is not meaningful here
    Returns the name of the host machine on which the connection broker resides.
    Throws:
      `DfException` - if a server error occurs

  - ### getDocbaseRoles

    IDfList getDocbaseRoles(int index) throws DfException
    Returns:
      null if does not support docbase_roles, return list of docbase roles otherwise
    Throws:
      `DfException`

  - ### getDormancyStatus

    String getDormancyStatus(int index) throws DfException
    Returns the status of the docbase at the specified index
    Parameters:
      `index` - index The index into the docbasemap from which the value has to be picked up
    Returns:
      a String representing the status, possible values are ACTIVE,DORMANT, DORMANCY_REQUESTED
    Throws:
      `DfException` - if an error occurs while getting the docbase status from the map